<template>
  <div id="wrap" class="flex flex-col h-full">
    <HeaderMobile v-if="isMobile"></HeaderMobile>
    <Header v-else></Header>
    <main class="relative flex flex-col flex-grow overflow-hidden">
      <router-view></router-view>
    </main>
  </div>
</template>
<script>
import Header from '@/components/Header.vue';
import 'vue-multiselect/dist/vue-multiselect.css';
import '@/assets/tailwind.css';
import '@/scss/style.scss';
import HeaderMobile from '@/components/HeaderMobile.vue';
import { screens } from '@/mixins/screens';

export default {
  components: {
    Header,
    HeaderMobile,
  },
  computed: {
    isMobile () {
      return this.$store.state.isMobile;
    },
  },
  created () {
    this.$store.dispatch('setIsMobile', screens.isMobile());
    window.onresize = () => {
      this.$store.dispatch('setIsMobile', screens.isMobile());
    };
  },
};

</script>
<style lang="scss">


</style>
